.currency-ticker-wrapper {
  overflow: hidden;
  white-space: nowrap;
}

.currency-ticker {
  overflow: hidden;
  white-space: nowrap;
  display: inline-flex;
  gap: 80px;
  padding: 8px 0;
  animation: ticker-scroll 32s linear infinite;
}

.currency-ticker-wrapper:hover .currency-ticker {
  animation-play-state: paused;
}

.ticker-item {
  display: flex;
  align-items: center;
  gap: 8px;
  padding: 8px;
  border-radius: 16px;
  transition: background-color 0.3s ease;
  max-width: 200px;
  width: max-content;
  text-decoration: none;
  color: #000000;
}

.ticker-item:hover {
	background: var( --e-global-color-6bf7c2c );
  color: #000000;
}

.ticker-icon {
  max-width: 32px;
  width: 100%;
  display: block;
}

.ticker-icon img {
  width: 32px;
  height: 32px;
  object-fit: contain;
}

@keyframes ticker-scroll {
  0% {
    transform: translateX(100%);
  }

  100% {
    transform: translateX(-100%);
  }
}
